Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.validator
Class GraphValidatorState

    java.lang.Object
      org.richfaces.validator.GraphValidatorState

    public final class GraphValidatorState

extends Object

Field Summary
`static String` | `STATE_ATTRIBUTE`

Constructor Summary
`GraphValidatorState(Object cloned)`

Method Summary
`static Object` | `getActiveClone(javax.faces.context.FacesContext context, Object base)`
`Object` | `getCloned()`
`static GraphValidatorState` | `getState(javax.faces.context.FacesContext context, Object base)`
`static Map<Object,GraphValidatorState>` | `getStateMap(javax.faces.context.FacesContext context)`
`boolean` | `isActive()`
`void` | `setActive(boolean active)`
`static void` | `setState(javax.faces.context.FacesContext context, Object base, GraphValidatorState state)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STATE_ATTRIBUTE

    public static final String STATE_ATTRIBUTE

See Also:
  Constant Field Values

Constructor Detail

### GraphValidatorState

    public GraphValidatorState(Object cloned)

Method Detail

### isActive

    public boolean isActive()

  Returns:
    the active

### setActive

    public void setActive(boolean active)

  Parameters:
    `active` - the active to set

### getCloned

    public Object getCloned()

  Returns:
    the cloned

### getActiveClone

    public static Object getActiveClone(javax.faces.context.FacesContext context,
                                        Object base)

### getState

    public static GraphValidatorState getState(javax.faces.context.FacesContext context,
                                               Object base)

### setState

    public static void setState(javax.faces.context.FacesContext context,
                                Object base,
                                GraphValidatorState state)

### getStateMap

    public static Map<Object,GraphValidatorState> getStateMap(javax.faces.context.FacesContext context)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.